Subject: bug#42401: 28.0.50; gnus-slave renamed to gnus-child

From: Po Lu <[email-masked]>
Date: Fri, 17 Jul 2020 08:26:40 +0800

For some reason, gnus-slave has been renamed to gnus-child without
appropriate aliases.  Reacting to the latest ridiculousness occuring in
society is already stupid, but breaking backwards compatibility for them
is even worse.  The term `slave' used in the `gnus-slave' sense has no
connotations towards racism or slavery.  Similarly, the term
`gnus-child' has no connotations towards adult-ism or child
'oppression', if we ever get to that.  Instead of changing things at
random, why don't we just stick with one name that works?  I doubt it's
possible to find any term that doesn't become offensive at one point.

(P.S: I'm asian and I find the face `term-color-yellow' offensive /s)

In GNU Emacs 28.0.50 (build 466, x86_64-pc-linux-gnu, GTK+ Version 3.98.5, cairo version 1.17.3)
 of 2020-07-14 built on local-build-system
Repository revision: a3f4f737ce2d31b143586ded6697e910248dfb87
Repository branch: mashup
Windowing system distributor 'The GNU project's GTK toolkit.', version 3.98.5
System Description: Fedora 32 (Workstation Edition)